#include <iostream>
#include <string>
using namespace std;

int main()
{
    string c;
    cin>>c;
	long long a1, a2, i;
	cin>>a1>>a2;
	if( a1<0 || a2<0 )
    {
        cout<<"nemoguce";
        return 0;
    }
	if( a1 + 1 == a2 )
    {
        cout<<c[1];
        for( i=0; i<a1; i++ )
        {
            cout<<c[0]<<c[1];
        }
        return 0;
    }
    if( a2 + 1 == a1 )
    {
        cout<<c[0];
        for( i=0; i<a2; i++ )
        {
            cout<<c[1]<<c[0];
        }
        return 0;
    }
    if( a1 == a2 )
    {
        for( i=0; i<a1; i++ )
        {
            cout<<c[1]<<c[0];
        }
        return 0;
    }
    cout<<"nemoguce";


return 0;
}